SYNC(8)

NOM
sync - Synchroniser les données en mémoire et celles sur disque

SYNOPSIS
sync [--help] [--version]

DESCRIPTION
La commande sync écrit sur le disque toutes les données dans les tampons en mémoire. Ceci peut inclure les superblocs modifiés, les inœuds modifiés, et les écritures différées. Ceci est implémenté dans le noyau, le programme sync ne fait rien d'autre que d'invoquer l'appel système sync(2).

Le noyau garde des données en mémoire pour éviter d'avoir à faire trop de lectures et écritures (relativement lentes) sur le disque. Ceci améliore sensiblement les performances, mais si l'ordinateur se plante, des données peuvent être perdues, ou le système de fichiers peut être endommagé. L'application sync garantit que le contenu des tampons en mémoire soit écrit sur le disque.

Normalement, sync devrait être invoqué avant que le processeur soit arrêté de manière anormale (par exemple avant de déclencher une panique du noyau lors du débogage d'un nouveau module du noyau). En général, la machine doit être arrêtée en employant les commandes shutdown(8), reboot(8) ou halt(8), qui tentent de mettre le système dans un état calme, avant d'appeler sync(2). (Il existe plusieurs implémentations de ces commandes, consultez la documentation de votre distribution, car sur certains systèmes, il ne faut pas appeler reboot(8) ou halt(8) directement).

OPTIONS

--help
    Afficher un message d'aide sur la sortie standard et terminer normalement.

--version
    Afficher le numéro de version sur la sortie standard et terminer normalement.

--  Terminer la liste des options.

ENVIRONNEMENT
Les variables d'environnement LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leur signification habituelle.

CONFORMITÉ
POSIX.2.

NOTES
Sous Linux, sync garantit seulement que l'écriture des blocs modifiés est programmée. Il peut y avoir un petit retard entre le retour de l'appel système et l'écriture effective. Les commandes reboot(8) et halt(8) gèrent ceci en dormant quelques secondes après l'invocation de sync(2).

Cette page décrit la commande sync telle qu'elle est fournie dans le paquetage fileutils-4.0. D'autres versions peuvent être légèrement différentes.

VOIR AUSSI
sync(2), halt(8), reboot(8), update(8)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 9 janvier 2000 et révisée le 17 juillet 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 sync ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.